/*
****************************************************************************
****************************************************************************
**                                                                        **
**                XXXX     X    X         X XXXXXX X                      **
**               X    X   X X   X    X    X X      X   X                  **
**               X       X   X  X   X X   X X      X  X                   **
**               X   XX XXXXXXX X  X   X  X XXXX   X X                    **
**               X    X X     X X X     X X X      XX                     **
**               X    X X     X XX       XX X      X                      **
**                XXXX  X     X X         X XXXXXX XXXXXX                 **
**                                                                        **
**                           BIALYSTOK 2007                               **
**                                                                        **
**                    MODULE LPC2378 UART1 Service                        **
**                                                                        **
**            Mikrokontroler ARM: LPC2362..LPC2368, LPC2372..LPC2378      **
**                                                                        **
**                     Wersja z dnia : 2007.03.25                         **
**                     Napisal : Andrzej Pawluczuk                        **
**                                                                        **
****************************************************************************
****************************************************************************
*/

#ifndef _UART1_ 
#define _UART1_

#include "types.h"

extern void UART1InitEnvir ( void ) ;

extern void UART1HardwInit( ULONG /* PeriphClk   */ ,
                            UCHAR /* SerialMode  */ ,
                            ULONG /* SerialSpeed */ ) ;

extern void UART1InputReset ( void ) ;

extern void UART1Send ( UCHAR /* Data */ ) ;

extern void UART1SendString ( UCHAR * /* String */ ) ;

extern ULONG UART1DataPresent ( void ) ;

extern UCHAR UART1GetData ( void ) ;

extern void SetOutputModemLine ( UCHAR /* ModemLineControl */ ) ;

extern void ResetOutputModemLine ( UCHAR /* ModemLineControl */ ) ;

extern UCHAR GetOutputModemLine ( void ) ;

extern UCHAR GetInputModemLine ( void ) ;

extern UCHAR UART1Working ( void ) ;

#endif
